commit:     1f3451addcc612def4b630d81f3d76a4a77e6f63
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 16 10:13:15 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Oct 16 10:13:15 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f3451ad

app-doc/lapack-docs: Port to EAPI 7

Closes: https://bugs.gentoo.org/697388
Package-Manager: Portage-2.3.77, Repoman-2.3.17
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 app-doc/lapack-docs/lapack-docs-3.1.1.ebuild | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

diff --git a/app-doc/lapack-docs/lapack-docs-3.1.1.ebuild 
b/app-doc/lapack-docs/lapack-docs-3.1.1.ebuild
index 9d017eec92d..0789a1733c2 100644
--- a/app-doc/lapack-docs/lapack-docs-3.1.1.ebuild
+++ b/app-doc/lapack-docs/lapack-docs-3.1.1.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=0
+EAPI=7
 
 DESCRIPTION="Documentation reference and man pages for lapack implementations"
 HOMEPAGE="http://www.netlib.org/lapack";
@@ -16,16 +16,16 @@ IUSE=""
 S="${WORKDIR}/lapack-${PV}/manpages"
 
 src_install() {
-       # These belong to the blas-docs
-       rm -f man/manl/{lsame,xerbla}.*
+       # These belong to blas-docs
+       rm -f man/manl/{lsame,xerbla}.* || die
 
-       # rename because doman do not yet understand manl files
-       # Not all systems have the rename command, like say FreeBSD
-       local f= t=
+       # rename because doman does not yet understand manl files
+       local f t
        for f in man/manl/*.l; do
                t="${f%%.l}.n"
-               mv "${f}" "${t}"
+               mv "${f}" "${t}" || die
        done
-       doman man/manl/* || die "doman failed"
-       dodoc README "${DISTDIR}"/lapackqref.ps || die "dodoc failed"
+
+       doman man/manl/*
+       dodoc README "${DISTDIR}"/lapackqref.ps
 }

Reply via email to